Change in minimum operating system and browser requirements

08 February 2006

The notices file within the Web of Knowledge has recently been updated and now contains the most recent information regarding the minimum system and browser requirements for WoK (version 3), please be aware that Thomson Scientific now advise that the system requirements are as follows:

Windows 2000 or Windows XP

  • Microsoft Internet Explorer, version 6.0 (or higher)
  • Netscape Navigator, version 7.0 (or higher)
  • Mozilla Firefox, version 1.0 (or higher)
  • Mozilla Browser, version 1.7.12 (or higher)

Mac OS X 10.3 (or higher)

  • Safari, version 1.0 (or higher)
  • Netscape Navigator, version 7.0 (or higher)
  • Mozilla Firefox, version 1.0 (or higher)
  • Mozilla Browser, version 1.7.12 (or higher)

This information can also be found on our FAQ at http://wok.mimas.ac.uk/faq/#Q6.2

If you require any further information or assistance please contact the Web of Knowledge helpdesk at: wok@mimas.ac.uk